%global momorel 1

Summary: A library of hash functions.
Name: libmhash
Version: 0.9.1
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
%NoSource 0 http://unc.dl.sourceforge.net/sourceforge/mhash/mhash-%{version}.tar.gz 8ade81ae33ccbf75e096c1baeecfd153
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://mhash.sourceforge.net/

%description 
The libmhash package contains a library of functions of hash
algorithms.  The library supports the algorithms: SHA1, GOST,
HAVAL256, HAVAL224, HAVAL192, HAVAL160, HAVAL128, MD5, MD4, RIPEMD160,
TIGER, TIGER160, TIGER128, CRC32B and CRC32 checksums.

%package devel
Summary: Development tools for programs to calculate hash values.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The libmhash-devel package contains the header files and static libraries
necessary for developing programs using the libmhash.

%prep
%setup -q -n mhash-%{version}

%build
%configure --enable-static --program-prefix=""
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man?/*

%ChangeLog
* Tue Apr 20 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.9.1-1m)
- updated to 0.9.1
  Added RIPEMD128/256/320, SHA224/384/512, Whirlpool

* Mon Feb 2 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.8.18-1m)
- updated to 0.8.18
- use %%{momorel}, %%NoSource
- add --enable-static --program-prefix="" to %%configure
- move libmhash.so to devel
- remove libtoolize, aclocal, autoconf from %%build
- use %%make
- revise %%post, %%postun
- add man file to devel

* Thu Aug 1 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.8.16-1m)
- add libmhash


